<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ExEmbed (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ExEmbed (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ExEmbed.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/ExControlAtom.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/ExEmbed.html" target="_top">Frames</a></li>
        <li><a href="ExEmbed.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hslf.record.RecordContainer">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.record</div>
    <h2 title="Class ExEmbed" class="title">Class ExEmbed</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                       title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.Record</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                               title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.RecordContainer</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hslf.record.ExEmbed</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/record/ExControl.html"
                           title="class in org.apache.poi.hslf.record">ExControl</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">ExEmbed</span>
extends <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
           title="class in org.apache.poi.hslf.record">RecordContainer</a></pre>
                <div class="block">This data represents an embedded object in the document.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hslf.record.RecordContainer">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                        title="class in org.apache.poi.hslf.record">RecordContainer</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#Z:Z_children">_children</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hslf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a></h3>
                                <code><a href="../../../../../org/apache/poi/hslf/record/Record.html#logger">logger</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbed.html#ExEmbed--">ExEmbed</a></span>()</code>
                                    <div class="block">Create a new ExEmbed, with blank fields</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbed.html#ExEmbed-byte:A-int-int-">ExEmbed</a></span>(byte[]&nbsp;source,
                                    int&nbsp;start,
                                    int&nbsp;len)</code>
                                    <div class="block">Set things up, and find our more interesting children</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbed.html#ExEmbed-org.apache.poi.hslf.record.RecordAtom-">ExEmbed</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/record/RecordAtom.html"
                                        title="class in org.apache.poi.hslf.record">RecordAtom</a>&nbsp;embedAtom)</code>
                                    <div class="block">Constructor for derived classes</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbed.html#getClipboardName--">getClipboardName</a></span>()</code>
                                    <div class="block">Gets the name that appears in the paste special dialog.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html"
                                        title="class in org.apache.poi.hslf.record">ExEmbedAtom</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbed.html#getExEmbedAtom--">getExEmbedAtom</a></span>()</code>
                                    <div class="block">Gets the <a
                                            href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html"
                                            title="class in org.apache.poi.hslf.record"><code>ExEmbedAtom</code></a>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/ExOleObjAtom.html"
                                        title="class in org.apache.poi.hslf.record">ExOleObjAtom</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbed.html#getExOleObjAtom--">getExOleObjAtom</a></span>()</code>
                                    <div class="block">Gets the <a
                                            href="../../../../../org/apache/poi/hslf/record/ExOleObjAtom.html"
                                            title="class in org.apache.poi.hslf.record"><code>ExOleObjAtom</code></a>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbed.html#getMenuName--">getMenuName</a></span>()</code>
                                    <div class="block">Gets the name used for menus and the Links dialog box.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbed.html#getProgId--">getProgId</a></span>()</code>
                                    <div class="block">Gets the OLE Programmatic Identifier.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbed.html#getRecordType--">getRecordType</a></span>()</code>
                                    <div class="block">Returns the type (held as a little endian in bytes 3 and 4)
                                        that this class handles.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbed.html#setClipboardName-java.lang.String-">setClipboardName</a></span>(java.lang.String&nbsp;clipboardName)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbed.html#setMenuName-java.lang.String-">setMenuName</a></span>(java.lang.String&nbsp;menuName)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbed.html#setProgId-java.lang.String-">setProgId</a></span>(java.lang.String&nbsp;progId)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbed.html#writeOut-java.io.OutputStream-">writeOut</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Have the contents printer out into an OutputStream, used when
                                        writing a file back out to disk.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.record.RecordContainer">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                        title="class in org.apache.poi.hslf.record">RecordContainer</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#addChildAfter-org.apache.poi.hslf.record.Record-org.apache.poi.hslf.record.Record-">addChildAfter</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#addChildBefore-org.apache.poi.hslf.record.Record-org.apache.poi.hslf.record.Record-">addChildBefore</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#appendChildRecord-org.apache.poi.hslf.record.Record-">appendChildRecord</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#findFirstOfType-long-">findFirstOfType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#getChildRecords--">getChildRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#handleParentAwareRecords-org.apache.poi.hslf.record.RecordContainer-">handleParentAwareRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#isAnAtom--">isAnAtom</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#moveChildBefore-org.apache.poi.hslf.record.Record-org.apache.poi.hslf.record.Record-">moveChildBefore</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#moveChildrenAfter-org.apache.poi.hslf.record.Record-int-org.apache.poi.hslf.record.Record-">moveChildrenAfter</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#moveChildrenBefore-org.apache.poi.hslf.record.Record-int-org.apache.poi.hslf.record.Record-">moveChildrenBefore</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#removeChild-org.apache.poi.hslf.record.Record-">removeChild</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#setChildRecord-org.apache.poi.hslf.record.Record:A-">setChildRecord</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#writeOut-byte-byte-long-org.apache.poi.hslf.record.Record:A-java.io.OutputStream-">writeOut</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html#buildRecordAtOffset-byte:A-int-">buildRecordAtOffset</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#createRecordForType-long-byte:A-int-int-">createRecordForType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#findChildRecords-byte:A-int-int-">findChildRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-int-java.io.OutputStream-">writeLittleEndian</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-short-java.io.OutputStream-">writeLittleEndian</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="ExEmbed-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ExEmbed</h4>
                                <pre>protected&nbsp;ExEmbed(byte[]&nbsp;source,
                  int&nbsp;start,
                  int&nbsp;len)</pre>
                                <div class="block">Set things up, and find our more interesting children</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>source</code> - the source data as a byte array.</dd>
                                    <dd><code>start</code> - the start offset into the byte array.</dd>
                                    <dd><code>len</code> - the length of the slice in the byte array.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ExEmbed-org.apache.poi.hslf.record.RecordAtom-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ExEmbed</h4>
                                <pre>protected&nbsp;ExEmbed(<a
                                        href="../../../../../org/apache/poi/hslf/record/RecordAtom.html"
                                        title="class in org.apache.poi.hslf.record">RecordAtom</a>&nbsp;embedAtom)</pre>
                                <div class="block">Constructor for derived classes</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>embedAtom</code> - the new embedAtom</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ExEmbed--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ExEmbed</h4>
                                <pre>public&nbsp;ExEmbed()</pre>
                                <div class="block">Create a new ExEmbed, with blank fields</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getExEmbedAtom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExEmbedAtom</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html"
                                                    title="class in org.apache.poi.hslf.record">ExEmbedAtom</a>&nbsp;getExEmbedAtom()</pre>
                                <div class="block">Gets the <a
                                        href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html"
                                        title="class in org.apache.poi.hslf.record"><code>ExEmbedAtom</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the <a href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html"
                                               title="class in org.apache.poi.hslf.record"><code>ExEmbedAtom</code></a>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExOleObjAtom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExOleObjAtom</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/ExOleObjAtom.html"
                                                    title="class in org.apache.poi.hslf.record">ExOleObjAtom</a>&nbsp;getExOleObjAtom()</pre>
                                <div class="block">Gets the <a
                                        href="../../../../../org/apache/poi/hslf/record/ExOleObjAtom.html"
                                        title="class in org.apache.poi.hslf.record"><code>ExOleObjAtom</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the <a href="../../../../../org/apache/poi/hslf/record/ExOleObjAtom.html"
                                               title="class in org.apache.poi.hslf.record"><code>ExOleObjAtom</code></a>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getMenuName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getMenuName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getMenuName()</pre>
                                <div class="block">Gets the name used for menus and the Links dialog box.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name used for menus and the Links dialog box.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMenuName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMenuName</h4>
                                <pre>public&nbsp;void&nbsp;setMenuName(java.lang.String&nbsp;menuName)</pre>
                            </li>
                        </ul>
                        <a name="getProgId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getProgId</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getProgId()</pre>
                                <div class="block">Gets the OLE Programmatic Identifier.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the OLE Programmatic Identifier.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setProgId-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setProgId</h4>
                                <pre>public&nbsp;void&nbsp;setProgId(java.lang.String&nbsp;progId)</pre>
                            </li>
                        </ul>
                        <a name="getClipboardName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getClipboardName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getClipboardName()</pre>
                                <div class="block">Gets the name that appears in the paste special dialog.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name that appears in the paste special dialog.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setClipboardName-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setClipboardName</h4>
                                <pre>public&nbsp;void&nbsp;setClipboardName(java.lang.String&nbsp;clipboardName)</pre>
                            </li>
                        </ul>
                        <a name="getRecordType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordType</h4>
                                <pre>public&nbsp;long&nbsp;getRecordType()</pre>
                                <div class="block">Returns the type (held as a little endian in bytes 3 and 4)
                                    that this class handles.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html#getRecordType--">getRecordType</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                            title="class in org.apache.poi.hslf.record">Record</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the record type.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeOut-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>writeOut</h4>
                                <pre>public&nbsp;void&nbsp;writeOut(java.io.OutputStream&nbsp;out)
              throws java.io.IOException</pre>
                                <div class="block">Have the contents printer out into an OutputStream, used when
                                    writing a file back out to disk.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html#writeOut-java.io.OutputStream-">writeOut</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                            title="class in org.apache.poi.hslf.record">Record</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - the output stream.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if there was an error writing to the stream.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ExEmbed.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/ExControlAtom.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/ExEmbed.html" target="_top">Frames</a></li>
        <li><a href="ExEmbed.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hslf.record.RecordContainer">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
